XXX XXXXXXXXXXXXXXXXX XXXXXXXXX
                            
    BBB BBBBBBBB BB BBBBBBBBBBBBBBBBBBBBBBBB
    
        XXX XXXXXXXXXXXXXXXXX
            XX XXXXXXXXXXXXXXX XXXXXXX XXXXXXBBB BBBBBBBBBBBBBBBBBBBBB BBBBBBBBBBBBBXXXXXX
            BB BBBBBBBBBBBBBBBBBBBBBBBB
                BBBBBBB BBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBB
            BBBBB
        XXXXX
        
    BBBBBB
        
XXXXX